Đến nội dung


Hình ảnh

Tính Tổng Chiều Dài Dim


  • Please log in to reply
1 reply to this topic

#1 hmt

hmt

    biết lệnh scale

  • Members
  • PipPipPip
  • 146 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 03 October 2016 - 11:02 AM

chào các pro , hiện e có 1 vấn đề nhỏ, đó là có thể có cách nào tính tổng các giá trị chiều dài trong Dim ko? thanks all


  • -1

#2 Bee

Bee

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 67 (tàm tạm)

Đã gửi 04 October 2016 - 08:08 PM

chào các pro , hiện e có 1 vấn đề nhỏ, đó là có thể có cách nào tính tổng các giá trị chiều dài trong Dim ko? thanks all

Search thôi.

(defun c:DimSum (/ #SSList)
  (and (setq #SSList (AT:SS->List (ssget '((0 . "DIMENSION"))) T))
       (alert
         (strcat "Total Distance: "
                 (vl-princ-to-string
                   (apply '+ (mapcar 'vla-get-measurement #SSList))
                 ) ;_ vl-princ-to-string
                 "'"
         ) ;_ strcat
       ) ;_ alert
  ) ;_ and
  (princ)
) ;_ defun
;;; Convert selection set to list of ename or vla objects
;;; #Selection - SSGET selection set
;;; #VLAList - T for vla objects, nil for ename
;;; Alan J. Thompson, 04.20.09
(defun AT:SS->List (#Selection #VlaList / #List)
  (and #Selection
       (setq #List (vl-remove-if
                     'listp
                     (mapcar 'cadr (ssnamex #Selection))
                   ) ;_ vl-remove-if
       ) ;_ setq
       #VlaList
       (setq #List (mapcar 'vlax-ename->vla-object #List))
  ) ;_ and
  #List
) ;_ defun

  • 0